From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/singular/
Date: Wed, 15 Dec 2021 11:28:01 +0000 (UTC) [thread overview]
Message-ID: <1639567673.e49bba8fee319855a34a56a562fa4aa3297d78c0.andrewammerlaan@gentoo> (raw)
commit: e49bba8fee319855a34a56a562fa4aa3297d78c0
Author: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 15 11:25:44 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Dec 15 11:27:53 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e49bba8f
sci-mathematics/singular: add julia and polymake useflags
Co-authored-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/22742
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>
sci-mathematics/singular/metadata.xml | 8 ++
sci-mathematics/singular/singular-4.2.1-r1.ebuild | 122 ++++++++++++++++++++++
2 files changed, 130 insertions(+)
diff --git a/sci-mathematics/singular/metadata.xml b/sci-mathematics/singular/metadata.xml
index 098312eeb426..5d46057110ae 100644
--- a/sci-mathematics/singular/metadata.xml
+++ b/sci-mathematics/singular/metadata.xml
@@ -5,4 +5,12 @@
<email>sci-mathematics@gentoo.org</email>
<name>Gentoo Mathematics Project</name>
</maintainer>
+ <use>
+ <flag name="julia">Enables interface for Singular to julia</flag>
+ <flag name="polymake">Enable the interface to TOPCOM</flag>
+ </use>
+ <upstream>
+ <bugs-to>https://github.com/Singular/Singular/issues</bugs-to>
+ <remote-id type="github">Singular/Singular</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sci-mathematics/singular/singular-4.2.1-r1.ebuild b/sci-mathematics/singular/singular-4.2.1-r1.ebuild
new file mode 100644
index 000000000000..96abef3a90a3
--- /dev/null
+++ b/sci-mathematics/singular/singular-4.2.1-r1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools elisp-common flag-o-matic
+
+MY_PN=Singular
+MY_PV=$(ver_rs 3 '')
+# Consistency is different...
+MY_DIR2=$(ver_cut 1-3 ${PV})
+MY_DIR=$(ver_rs 1- '-' ${MY_DIR2})
+
+DESCRIPTION="Computer algebra system for polynomial computations"
+HOMEPAGE="https://www.singular.uni-kl.de/ https://github.com/Singular/Singular"
+SRC_URI="ftp://jim.mathematik.uni-kl.de/pub/Math/${MY_PN}/SOURCES/${MY_DIR}/${PN}-${MY_PV}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_DIR2}"
+
+LICENSE="BSD GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-linux"
+IUSE="emacs examples julia polymake +readline static-libs"
+
+RDEPEND="
+ dev-lang/perl
+ dev-libs/gmp:0
+ dev-libs/ntl:=
+ sci-libs/cddlib
+ sci-mathematics/flint
+ emacs? ( >=app-editors/emacs-23.1:* )
+ julia? ( dev-lang/julia )
+ polymake? ( sci-mathematics/polymake )
+ readline? ( sys-libs/readline )
+"
+DEPEND="${RDEPEND}"
+
+SITEFILE=60${PN}-gentoo.el
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.2.0-doc_install-v2.patch"
+)
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ # Needed to avoid segfaults in the test suite until
+ #
+ # https://github.com/Singular/Singular/issues/1105
+ #
+ # makes its way into a release.
+ append-cxxflags $(test-flags-CXX -fno-delete-null-pointer-checks)
+
+ local myconf=(
+ --disable-debug
+ --disable-doc
+ --disable-optimizationflags
+ --disable-pyobject-module
+ --disable-python
+ --disable-python-module
+ --disable-python_module
+ --enable-factory
+ --enable-gfanlib
+ --enable-libfac
+ --with-flint
+ --with-gmp
+ --with-libparse
+ --with-ntl
+ --without-python
+ --without-pythonmodule
+ $(use_enable emacs)
+ $(use_enable julia)
+ $(use_enable polymake polymake-module)
+ $(use_enable static-libs static)
+ $(use_with readline)
+ )
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ default
+
+ if use emacs; then
+ pushd "${S}"/emacs
+ elisp-compile *.el || die "elisp-compile failed"
+ popd
+ fi
+}
+
+src_install() {
+ # Do not compress singular's info file (singular.hlp)
+ # some consumer of that file do not know how to deal with compression
+ docompress -x /usr/share/info
+
+ default
+
+ dosym Singular /usr/bin/"${PN}"
+
+ # purge .la file
+ find "${ED}" -name '*.la' -delete || die
+}
+
+src_test() {
+ # SINGULAR_PROCS_DIR need to be set to "" otherwise plugins from
+ # an already installed version of singular may be used and cause segfault
+ # See https://github.com/Singular/Sources/issues/980
+ SINGULAR_PROCS_DIR="" emake check
+}
+
+pkg_postinst() {
+ einfo "Additional functionality can be enabled by installing"
+ einfo "sci-mathematics/4ti2"
+
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
next reply other threads:[~2021-12-15 11:28 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-12-15 11:28 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-03 10:51 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/singular/ Joonas Niilola
2024-10-05 3:36 Michael Orlitzky
2024-08-23 17:22 Michael Orlitzky
2024-06-02 12:30 Michael Orlitzky
2024-05-29 14:01 Michael Orlitzky
2024-05-29 14:01 Michael Orlitzky
2024-03-31 23:37 Sam James
2024-01-22 17:01 Michael Orlitzky
2024-01-22 5:53 Sam James
2023-12-07 2:32 Michael Orlitzky
2023-12-07 2:32 Michael Orlitzky
2023-11-27 13:23 Michael Orlitzky
2023-07-15 22:46 Michael Orlitzky
2023-06-08 11:14 Michael Orlitzky
2023-06-08 7:57 Joonas Niilola
2023-06-05 9:38 Joonas Niilola
2023-06-04 23:22 Michael Orlitzky
2023-01-23 21:02 Michael Orlitzky
2023-01-10 22:43 Michael Orlitzky
2022-12-23 23:35 Michael Orlitzky
2022-12-23 20:49 Arthur Zamarin
2022-12-21 3:00 Michael Orlitzky
2022-12-21 3:00 Michael Orlitzky
2022-10-25 11:12 Sam James
2022-07-16 14:05 Michael Orlitzky
2022-07-15 8:38 Joonas Niilola
2022-07-15 8:38 Joonas Niilola
2022-05-27 12:23 Michael Orlitzky
2022-05-27 12:23 Michael Orlitzky
2022-04-22 0:50 Sam James
2022-02-07 10:26 Jakov Smolić
2022-02-07 9:33 Jakov Smolić
2022-02-04 14:16 Michael Orlitzky
2021-12-31 16:37 Arthur Zamarin
2021-12-29 13:46 Yixun Lan
2021-12-25 19:08 Michael Orlitzky
2021-11-22 3:07 Yixun Lan
2021-11-18 23:50 Georgy Yakovlev
2021-07-18 19:12 Michael Orlitzky
2021-07-02 1:03 Michael Orlitzky
2021-07-02 1:03 Michael Orlitzky
2021-07-02 1:03 Michael Orlitzky
2021-06-01 11:51 Michael Orlitzky
2021-05-30 5:15 Sam James
2021-05-28 19:40 Agostino Sarubbo
2021-05-28 19:37 Agostino Sarubbo
2021-01-06 15:19 Fabian Groffen
2020-06-27 20:45 Andreas K. Hüttel
2019-12-21 11:41 Ulrich Müller
2019-12-20 22:49 Ulrich Müller
2017-04-20 16:41 David Seifert
2015-11-12 10:11 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1639567673.e49bba8fee319855a34a56a562fa4aa3297d78c0.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox